# Packaging Git snapshot as upstream didn't cut a new release since 2014,
# pending on updating the changelog...
# https://github.com/multiplay/qstat/issues/83
%define mainrel 0
%define date    20201129
%define rel     1

Name:           qstat
Version:        2.15
Release:        %mkrel %{mainrel}.%{date}.%{rel}
Summary:        Real-time Game Server Status for FPP/FPS servers
License:        Artistic
Group:          Networking/Other
URL:            https://github.com/multiplay/qstat
# git archive master --prefix=qstat-2.15-%%{date}/ master -o qstat-2.15-%%{date}.tar.xz
Source0:        %{name}-%{version}-%{date}.tar.xz

%description
QStat is a command-line utility for collecting real-time statistics from online
game servers. The games supported are mainly in the first-person-shooter genre
(Quake, Half-Life, Unreal, etc.).

Statistics may be output in a variety of form.

%prep
%autosetup -p1 -n %{name}-%{version}-%{date}

# file-not-utf8
iconv -f iso8859-1 -t utf-8 CHANGES.txt > CHANGES.txt.conv && mv -f CHANGES.txt.conv CHANGES.txt

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install
rm -f template/Makefile*

%files
%doc CHANGES.txt COMPILE.txt ChangeLog contrib.cfg info/* qstatdoc.html template
%config(noreplace) %{_sysconfdir}/qstat.cfg
%{_bindir}/%{name}


%changelog
* Wed Dec 30 2020 akien <akien> 2.15-0.20201129.1.mga8
+ Revision: 1665733
- Snapshot 20201129
- Drop -quake suffix, it's not quake-specific

* Sat Jul 25 2020 daviddavid <daviddavid> 2.15-0.20200126.1.mga8
+ Revision: 1608894
- Snapshot 20200126

* Sat Feb 15 2020 umeabot <umeabot> 2.15-0.20181201.2.mga8
+ Revision: 1526122
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Apr 26 2019 akien <akien> 2.15-0.20181201.1.mga7
+ Revision: 1395477
- Snapshot 20181201

* Mon Oct 01 2018 daviddavid <daviddavid> 2.15-0.20170127.2.mga7
+ Revision: 1312904
- Mageia 7 Mass Rebuild

* Sun Mar 12 2017 akien <akien> 2.15-0.20170127.1.mga7
+ Revision: 1092197
- New snapshot 20170127

* Fri Feb 12 2016 umeabot <umeabot> 2.15-0.git2daa7d2.2.mga6
+ Revision: 958706
- Mageia 6 Mass Rebuild

* Sat Sep 05 2015 daviddavid <daviddavid> 2.15-0.git2daa7d2.1.mga6
+ Revision: 872934
- new snapshot release: 2.15-git2daa7d27004485069007b8d5443837cfd641d7ae
- update new upstream URL and Source URL
- fix file-not-utf8

* Wed Oct 15 2014 umeabot <umeabot> 2.11-10.mga5
+ Revision: 740470
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.11-9.mga5
+ Revision: 688517
- Mageia 5 Mass Rebuild

* Sun Sep 14 2014 danf <danf> 2.11-8.mga5
+ Revision: 675480
- Added strndup.patch to fix compiling on glibc 2.20

* Fri Oct 18 2013 umeabot <umeabot> 2.11-8.mga4
+ Revision: 517887
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.11-7.mga3
+ Revision: 379913
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 04 2011 ennael <ennael> 2.11-6.mga1
+ Revision: 63982
- imported package qstat

